Subject: Re: [PATCH] ci: run `make sparse` as a GitHub workflow

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Jul 2021 15:27:34 -0700

Johannes Schindelin <[email-masked]> writes:

>> It wasn't quite obvious why we justify spending 370 minutes one more
>> time only to rerun 30-second job, though.
>
> True.
>
> And this is not a new problem. Every time anything happens in those
> `osx-gcc` or `osx-clang` jobs (e.g. that transient problem with the broken
> pipes in t5516 [*1*], that's a fun one), a full re-run is necessary, or
> else the commit and/or PR will remain marked as broken.
>
> In other words, while it is totally appropriate for me to explain this to
> you in this here thread because it came up as a tangent, it would be
> inappropriate to stick that explanation into this patch's commit message.
> We do not make a habit of adding tangents that came up during patch
> reviews into commit messages, and I do not intend to start such a habit
> here, either.

I do not agree; a brief mention "even though piling more and more on
the primary workflow would make it even less convenient to re-run,
it is already so bad that another one would not hurt too much more"
would be a clue good enough to motivate others to do something about
it if they feel like it.